
// This interrupt detects switches 1 and 3
ISR(PCINT2_vect) {
  // allow interrupts while we're doing this
  
  encoder_debounce = 2;
  PCICR &= ~(_BV(PCIE2));
  PCIFR |= _BV(PCIF2); 
  sei();
//  Serial.println("r");
  tick();

  
}

// Just button #2
ISR(PCINT0_vect) {
 
  encoder_debounce = 2;
  PCICR &= ~(_BV(PCIE0));
  PCIFR |= _BV(PCIF0);  
  sei();
//  Serial.println("r");
  tick();
 
}


ISR(INT0_vect) {
  Serial.println("i");
  byte x = ALARM_PIN & _BV(ALARM);
  sei();
  delay2(10); // wait for debouncing
  //setalarmstate();
    if (digitalRead(ALARM_ARDUINO)) {
      serial_mode = 1;
      sprintf(display_buf, "Ser On");
    } else {
      serial_mode = 0;
      sprintf(display_buf, "Ser Off");
    }  
    vfd_data[0] = 0;
    vfd_set_string(display_buf, 0);
    delay2(2000);
    clear_display();
}

